Type to search.

Send data to an anomaly detection job for analysis

  • POST /_ml/anomaly_detectors/{job_id}/_data
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 5.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. Deprecated
Important

For each job, data can be accepted from only a single connection at a time. It is not currently possible to post data to multiple jobs using wildcards or a comma-separated list.

Required privileges

Cluster privileges manage_ml

Path parameters

job_id string required

Identifier for the anomaly detection job. The job must have a state of open to receive and process the data.

Query parameters

reset_end union oneOf

Specifies the end of the bucket resetting range.

One of: string or number
reset_start union oneOf

Specifies the start of the bucket resetting range.

One of: string or number

Request body

Type: object[]

Response

application/json
job_id string required
processed_record_count number required
processed_field_count number required
input_bytes number required
input_field_count number required
invalid_date_count number required
missing_field_count number required
out_of_order_timestamp_count number required
empty_bucket_count number required
sparse_bucket_count number required
bucket_count number required
earliest_record_timestamp number
latest_record_timestamp number
last_data_time number
latest_empty_bucket_timestamp number
latest_sparse_bucket_timestamp number
input_record_count number required
log_time number